Skip to content
For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to the page URL.
Primary navigation
Theme

List vector stores

GET
/vector_stores

Returns a list of vector stores.

Query Parameters
after: optional string

A cursor for use in pagination. after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include after=obj_foo in order to fetch the next page of the list.

before: optional string

A cursor for use in pagination. before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_foo, your subsequent call can include before=obj_foo in order to fetch the previous page of the list.

limit: optional integer (default: 20)

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 20.

order: optional "asc" or "desc" (default: "desc")

Sort order by the created_at timestamp of the objects. asc for ascending order and desc for descending order.

One of the following:
"asc"
"desc"
Returns
data: array of VectorStore { id, created_at, file_counts, 8 more }
id: string

The identifier, which can be referenced in API endpoints.

created_at: integer

The Unix timestamp (in seconds) for when the vector store was created.

formatunixtime
file_counts: object { cancelled, completed, failed, 2 more }
cancelled: integer

The number of files that were cancelled.

completed: integer

The number of files that have been successfully processed.

failed: integer

The number of files that have failed to process.

in_progress: integer

The number of files that are currently being processed.

total: integer

The total number of files.

last_active_at: integer or null

The Unix timestamp (in seconds) for when the vector store was last active.

formatunixtime
metadata: Metadata or null

Set of 16 key-value pairs that can be attached to an object. This can be useful for storing additional information about the object in a structured format, and querying for objects via API or the dashboard.

Keys are strings with a maximum length of 64 characters. Values are strings with a maximum length of 512 characters.

name: string

The name of the vector store.

object: "vector_store"

The object type, which is always vector_store.

status: "expired" or "in_progress" or "completed"

The status of the vector store, which can be either expired, in_progress, or completed. A status of completed indicates that the vector store is ready for use.

One of the following:
"expired"
"in_progress"
"completed"
usage_bytes: integer

The total number of bytes used by the files in the vector store.

expires_after: optional object { anchor, days }

The expiration policy for a vector store.

anchor: "last_active_at"

Anchor timestamp after which the expiration policy applies. Supported anchors: last_active_at.

days: integer

The number of days after the anchor time that the vector store will expire.

minimum1
maximum365
expires_at: optional integer or null

The Unix timestamp (in seconds) for when the vector store will expire.

formatunixtime
first_id: string
has_more: boolean
last_id: string
object: string

List vector stores

curl https://api.openai.com/v1/vector_stores \
  -H "Authorization: Bearer $OPENAI_API_KEY" \
  -H "Content-Type: application/json" \
  -H "OpenAI-Beta: assistants=v2"
Response example
{
  "object": "list",
  "data": [
    {
      "id": "vs_abc123",
      "object": "vector_store",
      "created_at": 1699061776,
      "name": "Support FAQ",
      "description": "Contains commonly asked questions and answers, organized by topic.",
      "file_counts": {
        "in_progress": 0,
        "completed": 3,
        "failed": 0,
        "cancelled": 0,
        "total": 3
      },
      "usage_bytes": 139920,
      "status": "completed",
      "last_active_at": null,
      "metadata": {}
    },
    {
      "id": "vs_abc456",
      "object": "vector_store",
      "created_at": 1699061776,
      "name": "Support FAQ v2",
      "file_counts": {
        "in_progress": 0,
        "completed": 3,
        "failed": 0,
        "cancelled": 0,
        "total": 3
      },
      "usage_bytes": 139920,
      "status": "completed",
      "last_active_at": null,
      "metadata": {}
    }
  ],
  "first_id": "vs_abc123",
  "last_id": "vs_abc456",
  "has_more": false
}
Returns Examples
Response example
{
  "object": "list",
  "data": [
    {
      "id": "vs_abc123",
      "object": "vector_store",
      "created_at": 1699061776,
      "name": "Support FAQ",
      "description": "Contains commonly asked questions and answers, organized by topic.",
      "file_counts": {
        "in_progress": 0,
        "completed": 3,
        "failed": 0,
        "cancelled": 0,
        "total": 3
      },
      "usage_bytes": 139920,
      "status": "completed",
      "last_active_at": null,
      "metadata": {}
    },
    {
      "id": "vs_abc456",
      "object": "vector_store",
      "created_at": 1699061776,
      "name": "Support FAQ v2",
      "file_counts": {
        "in_progress": 0,
        "completed": 3,
        "failed": 0,
        "cancelled": 0,
        "total": 3
      },
      "usage_bytes": 139920,
      "status": "completed",
      "last_active_at": null,
      "metadata": {}
    }
  ],
  "first_id": "vs_abc123",
  "last_id": "vs_abc456",
  "has_more": false
}